routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('/app', function(){
	return view('adminlte3');
});

Route::get('/adminlte3', function(){
	return view('adminlte3');
});s

Route::get('/', 'HomeController@index');
Route::get('/home', 'HomeController@index')->name('home');

Route::resource('profile', 'ProfileController');
Route::resource('user', 'UserController');
Route::resource('area', 'AreaController');
Route::resource('menu', 'MenuController');
Route::resource('submenu', 'SubmenuController');
// Rotas de atividades do sistema
Route::resource('mail', 'MailController');


Route::get('/avaliacaoSocial/pessoa/{id}', 'AvaliacaoSocialController@pessoa');

// Exemplos de rotas
Route::get('/api/post', function () {
    return response()->json(Post::paginate(20));
});

app/Menu.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Menu extends Model
{
    use SoftDeletes;
    /*
        @description nome da tabela do banco 
     */
    protected $table = 'menus';
    /*
        campos da tabela
     */
    protected $fillable = [
        'name',
        'description',
        'icon',
        'area_id'
    ];

    public function submenus(){
        return $this->hasMany(Submenu::class, 'menu_id', 'id');
    }

    public function area(){
        return $this->hasOne(Area::class, 'id', 'area_id');
    }

}

app/Http/Controllers/MenuController.php
<?php

namespace App\Http\Controllers;

use App\Menu;
use Illuminate\Http\Request;

class MenuController extends BaseController
{
    protected $class = '\App\Menu';
    protected $table = 'menus';
    // protected $connection = 'siapenadm';
    protected $path = 'menu';
    protected static $validate = [
        'name'=>'required|min:5|',
        'description'=>'required:10',
        'icon'=>'required'
    ];
}

resources/views/menu/create.blade.php
@extends('layouts.app')

@section('title')
	Menus do sistema
@stop

@section('description')
	Cadastro de Menu dos post
@stop

@section('action')
	Dados do Menu
@stop

@section('content')
	{{-- Observa se a requisicao passa um model como parametro --}}
	@php
		// Caso não haja chama o metodo store para criar um registro
		$action = [
			'route' => 'menu.store'
		];
		// Caso haja, muda a rota e chama o metodo update passando como parametro o id do registro a ser editado
		if (isset($model))
			$action = [
				// rota a ser chamada
				'route' => ['menu.update', $model->id],
				// invoca o metodo PUT 
				'method' => 'PUT'
			];

	@endphp

	{{ Form::open($action) }}
		{!! csrf_field() !!}
		{{-- caso exista o model, prepara o formulario com os dados do registro passado pelo id --}}
		@if (isset($model))
			@php
				Form::setModel($model);
			@endphp
		@endif
	@inject('area', 'App\Area')
	@php
		$options = $area::pluck('name', 'id')->toArray();
	@endphp

	<div class="form-group">
		{{ Form::label('area_id', 'Area') }}
		{{ Form::select('area_id', $options, null, ['class'=>'form-control']) }}
	</div>	

	<div class="form-group">
		{{ Form::label('name', 'Nome da menu') }}
		{{ Form::text('name', null, ['class'=>'form-control']) }}
	</div>

	<div class="form-group">
		{{ Form::label('description', 'Descrição do menu') }}
		{{ Form::text('description', null, ['class'=>'form-control']) }}
	</div>

	<div class="form-group">
		{{ Form::label('icon', 'Ícone do menu') }}
		{{ Form::text('icon', null, ['class'=>'form-control']) }}
	</div>

	<div class="form-group">
		<a href="{{ route('menu.index') }}" class="btn btn-default">
			<i class="fa fa-arrow-left"></i>
			Voltar
		</a>
		{{ Form::submit('enviar', ['class'=>'btn btn-success btn-save']) }}
	</div>

	{{ Form::close() }}
@stop

@section('footer')
	{{-- <div class="alert alert-warning">Atenção</div> --}}
@stop

resources/views/menu/index.blade.php
@extends('layouts.app')

@section('title')
	Menus do sistema
@stop

@section('description')
	Cadastro de Menus do sistema
@stop

@section('action')
	Listagem das Menus cadastradas
@stop

@if (Auth::user()->hasRules('menu.store'))
	@section('plus')
		<a href="{{ route('menu.create') }}" class="btn btn-info" data-toggle="tooltip" title="Novo Menu">
			<i class="fa fa-bolt"></i>
		</a>
	@stop
@endif

@section('content')
<table class='table table-responsive table-condensed table-hover'>
	<tr>
		<th>#</th>
		<th>Área</th>
		<th>Nome</th>
		<th>Description</th>
		<th>Icone</th>
		<th><i class="fa fa-arrow-down"></i></th>
		<th></th>
	</tr>

	{!! csrf_field() !!}
	@foreach ($models as $m)
		<tr>
			<td>{{ $m->id }}</td>
			<td>{{ $m->area->name }}</td>
			<td>{{ $m->name }}</td>
			<td>{{ $m->description }}</td>
			<td>{{ $m->icon }}</td>
			<td><i class="fa {{ $m->icon }}"></i></td>
			<td width="12%">
				@include('includes.helper.action', ['model'=>$m, 'route'=>'menu'])
			</td>
		</tr>
	@endforeach
</table>
@stop

{{-- Paginacao --}}
@section('footer')
	<div class="text-center">
		{{ $models->links() }}
	</div>
@stop